=== debian/changelog ===
ros-indigo-object-recognition-renderer (0.2.2-0trusty) trusty; urgency=high

  * fixed mesh path
  * use a pimpl to not let the user decide between GLUT or OSMesa
  * remove legacy CMake
  * Contributors: Vincent Rabaud, nlyubova

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 19 Jan 2015 23:00:00 -0000

ros-indigo-object-recognition-renderer (0.2.1-0trusty) trusty; urgency=high

  * use GLUT by default
  * clean extensions
  * compile on Indigo
  * fixed rotation matrix,
    fixed up vector
    additional option to render depth only
  * fixed object orientation,
    return distance to an object is added
  * build_depend on assimp-dev instead of assimp
  * Fix Assimp detection
  * Contributors: Scott K Logan, Vincent Rabaud, nlyubova

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 17 Jan 2015 23:00:00 -0000

ros-indigo-object-recognition-renderer (0.2.0-0trusty) trusty; urgency=high

  * get a 2d (planar) and a 3d (mesh) renderer
  * drop Fuerte support

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 14 Jan 2014 20:23:06 +0100
