=== debian/control ===
Source: ros-indigo-object-recognition-renderer
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), freeglut3-dev, libassimp-dev, libboost-all-dev, libdevil-dev, libfreeimage-dev, libosmesa6-dev, libsdl1.2-dev, libxi-dev, libxmu-dev, ros-indigo-catkin, ros-indigo-cv-bridge
Homepage: http://ecto.willowgarage.com/recognition
Standards-Version: 3.9.2

Package: ros-indigo-object-recognition-renderer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeglut3-dev, libassimp-dev, libboost-all-dev, libdevil-dev, libfreeimage-dev, libosmesa6-dev, libsdl1.2-dev, libxi-dev, libxmu-dev, ros-indigo-cv-bridge
Description: Code that generates random views of an object
